> ## Documentation Index
> Fetch the complete documentation index at: https://viewerdocs.planpoint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Floor

> Create a new floor



## OpenAPI

````yaml POST /floors
openapi: 3.0.3
info:
  title: Planpoint
  description: ''
  version: 1.0.0
servers:
  - url: https://app.planpoint.io/api
security:
  - AccessTokenAuth: []
tags:
  - name: user
    description: Everything about user
  - name: groups
    description: Everything about groups
  - name: projects
    description: Everything about projects
  - name: floors
    description: Everything about floors
  - name: units
    description: Everything about units
  - name: leads
    description: Everything about leads
externalDocs:
  description: Find out more about Planpoint
  url: http://planpoint.io
paths:
  /floors:
    post:
      tags:
        - floors
      summary: Create a new floor
      description: Create a new floor
      operationId: createFloor
      parameters:
        - name: project
          in: query
          description: Id of the floor's project
          required: true
          schema:
            type: string
        - name: name
          in: query
          description: Name of the floor
          schema:
            type: string
        - name: position
          in: query
          description: Position or order of the floor
          schema:
            type: number
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    format: objectId
                    description: Unique identifier for the floor
                  project:
                    type: string
                    format: objectId
                    description: Reference to the associated project
                  units:
                    type: array
                    items:
                      type: string
                      format: objectId
                      description: Reference to associated units
                      example: objectId
                  name:
                    type: string
                    description: Name of the floor
                  position:
                    type: integer
                    description: Position or order of the floor
                  floorplanUrl:
                    type: string
                    format: uri
                    description: Floorplan image url
                  path:
                    type: string
                    description: Floor drawing path
                  alternativePaths:
                    type: array
                    items:
                      type: string
                      description: Alternative paths for the floor
            application/xml:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    format: objectId
                    description: Unique identifier for the floor
                  project:
                    type: string
                    format: objectId
                    description: Reference to the associated project
                  units:
                    type: array
                    items:
                      type: string
                      format: objectId
                      description: Reference to associated units
                      example: objectId
                  name:
                    type: string
                    description: Name of the floor
                  position:
                    type: integer
                    description: Position or order of the floor
                  floorplanUrl:
                    type: string
                    format: uri
                    description: Floorplan image url
                  path:
                    type: string
                    description: Floor drawing path
                  alternativePaths:
                    type: array
                    items:
                      type: string
                      description: Alternative paths for the floor
        '400':
          description: Invalid input
components:
  securitySchemes:
    AccessTokenAuth:
      type: apiKey
      in: header
      name: Authorization

````